import request from "../request.js"

// 1、工单列表 参考pc端 工单管理-待办工单 
export function myTaskList(page, limit, qyName,type) {
	return request({
		url: `/dzzyb/a/zyb/worktask/myTaskList?page=${page}&limit=${limit}&qyName=${qyName}&type=${type}`,
		method: 'POST',
	})
}
// 2、当前工单数 逾期工单数(3-5) 逾期工单数(5)
export function workTaskNum() {
	return request({
		url: `/dzzyb/a/zyb/app/worktask/workTaskNum`,
		method: 'POST',
	})
}
// 3、工单按分类统计
export function workTaskNumByType() {
	return request({
		url: `/dzzyb/a/zyb/app/worktask/workTaskNumByType`,
		method: 'POST',
	})
}
// 4、 工单日统计趋势图(最近7日)
export function workTaskNumByDate() {
	return request({
		url: `/dzzyb/a/zyb/app/worktask/workTaskNumByDate`,
		method: 'POST',
	})
}
// 5、按区县统计当前工单数(德州市执法查看)
export function getWorkTaskNumByquXian(type) {
	return request({
		url: `/dzzyb/a/zyb/app/worktask/getWorkTaskNumByquXian?type=${type}`,
		method: 'get',
	})
}
// 6、按街道统计当前工单数(区县查看)
export function getWorkTaskNumByJieDao(type) {
	return request({
		url: `/dzzyb/a/zyb/app/worktask/getWorkTaskNumByJieDao?type=4`,
		method: 'get',
	})
}